import 'package:twipe_flutter_core/utils/controller/collection_controller.dart';

class ControllerManager {
  Map<String, dynamic> _collectionController = {};
  Future<void> registerCollectionController<T extends CollectionController>(
      T collectionController) async {
    await collectionController.setup();
  }

  void unregisterController(String controllerId) {
    if (_collectionController.containsKey(controllerId)) {
      _collectionController.remove(controllerId);
    }
  }

  T getCollectionController<T extends CollectionController>() {
    return _collectionController as T;
  }
}
